set define off
set verify off
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end;
/
 
 
--application/set_environment
prompt  APPLICATION 43904 - OfficeGate
--
-- Application Export:
--   Application:     43904
--   Name:            OfficeGate
--   Date and Time:   15:34 Tuesday December 9, 2014
--   Exported By:     SSFAYEZ@HOTMAIL.COM
--   Flashback:       0
--   Export Type:     Page Export
--   Version:         4.2.6.00.03
--   Instance ID:     63113759365424
--
-- Import:
--   Using Application Builder
--   or
--   Using SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application
 
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,55605468405317055870));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2012.01.01');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,43904);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

PROMPT ...Remove page 5
 
begin
 
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>5);
 
end;
/

 
--application/pages/page_00005
prompt  ...PAGE 5: Rolunk
--
 
begin
 
wwv_flow_api.create_page (
  p_flow_id => wwv_flow.g_flow_id
 ,p_id => 5
 ,p_user_interface_id => 64626602112632907800 + wwv_flow_api.g_id_offset
 ,p_tab_set => 'TS1'
 ,p_name => 'Rolunk'
 ,p_alias => 'RÓLUNK'
 ,p_step_title => 'Rolunk'
 ,p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS'
 ,p_first_item => 'NO_FIRST_ITEM'
 ,p_include_apex_css_js_yn => 'Y'
 ,p_autocomplete_on_off => 'ON'
 ,p_page_is_public_y_n => 'N'
 ,p_cache_page_yn => 'N'
 ,p_help_text => 
'No help is available for this page.'
 ,p_last_updated_by => 'SSFAYEZ@HOTMAIL.COM'
 ,p_last_upd_yyyymmddhh24miss => '20141209140657'
  );
null;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'A OfficeGate Kft.-t tulajdonosai közel 3 éves baráti viszonyt követően, a szakmai végzettségük megszerzésének kapujában alapították meg 2012. május 17-én. '||unistr('\000a')||
'Ayham Hmaidan es Saadedin Fayez elhataroztak hogy kozosen inditanak vallalozast, uzleti informatika téren. </br>'||unistr('\000a')||
'Ez jelenti a Papir Íroszer importalasat/exportalasat kinai-arab orszagokban egyarant.</br>'||unistr('\000a')||
''||unistr('\000a')||
'A projekt celja az Offica Gate bolt kes';

s:=s||'zleteinek adatainak nyilvantartasa es megrendelesek kezelese, Magyarorszagon.'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'';

wwv_flow_api.create_page_plug (
  p_id=> 65450468720338738527 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 5,
  p_plug_name=> 'Rolunk',
  p_region_name=>'',
  p_escape_on_http_output=>'Y',
  p_plug_template=> 64626596117954907770+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_new_grid         => false,
  p_plug_new_grid_row     => true,
  p_plug_new_grid_column  => true,
  p_plug_display_column=> null,
  p_plug_display_point=> 'BODY_3',
  p_plug_item_display_point=> 'ABOVE',
  p_plug_source=> s,
  p_plug_source_type=> 'STATIC_TEXT_WITH_SHORTCUTS',
  p_translate_title=> 'Y',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_num_rows_type => 'NEXT_PREVIOUS_LINKS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_header=> 'Köszöntjük a OfficeGate-nél  </br>'||unistr('\000a')||
'Papír & Írószer Bolt </br>',
  p_plug_customized=>'0',
  p_plug_caching=> 'NOT_CACHED',
  p_plug_comment=> '');
end;
/
declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'Elérhetőség: </br>'||unistr('\000a')||
'-Telefonos támogatás(Budapest):</br>'||unistr('\000a')||
'+3610000888</br>'||unistr('\000a')||
'Hétfő- Vasárnap, 7-20 óra között</br>'||unistr('\000a')||
'Hívjon minket, és beszéljen ügyfélszolgálati munkatársunkkal.</br>'||unistr('\000a')||
'Telefonos ügyfélszolgálatunkon, az ingyenesen hívható +3610000777 számon</br>'||unistr('\000a')||
'</br>'||unistr('\000a')||
'-Emailes támogatás:</br>'||unistr('\000a')||
'OfficeGateBudapest@freemail.hu</br>'||unistr('\000a')||
'Küldjön e-mailt, és hamarosan választ kap.</br>'||unistr('\000a')||
'</br>'||unistr('\000a')||
'-Élő csevegés, skype(Of';

s:=s||'ficeGate2012)</br>'||unistr('\000a')||
'Az Online Chat elérhetősége:</br>'||unistr('\000a')||
'Szerda- Csütörtök, 14-18 óra között</br>'||unistr('\000a')||
'A szolgáltatás Budapesti termékekhez érhető el!</br>';

wwv_flow_api.create_page_plug (
  p_id=> 65458162406935217135 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 5,
  p_plug_name=> 'Ügyfélszolgálat - Elérhetőség',
  p_region_name=>'',
  p_escape_on_http_output=>'Y',
  p_plug_template=> 64626596117954907770+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 20,
  p_plug_new_grid         => false,
  p_plug_new_grid_row     => true,
  p_plug_new_grid_column  => true,
  p_plug_display_column=> null,
  p_plug_display_point=> 'BODY_3',
  p_plug_item_display_point=> 'ABOVE',
  p_plug_source=> s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_query_row_template=> 64626597705200907776+ wwv_flow_api.g_id_offset,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_num_rows => 15,
  p_plug_query_num_rows_type => 'NEXT_PREVIOUS_LINKS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_caching=> 'NOT_CACHED',
  p_plug_comment=> '');
end;
/
 
begin
 
null;
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 5
--
 
begin
 
null;
end;
null;
 
end;
/

commit;
begin
execute immediate 'begin sys.dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
set define on
prompt  ...done
